//
//  MineTitleTableViewCell.swift
//  MobilePortal
//
//  Created by xiejiangbo on 2019/3/18.
//  Copyright © 2019 yin chen. All rights reserved.
//

import UIKit

class MineTitleTableViewCell: BaseTableViewCell {
    private lazy var label: UILabel = {
        let label = UILabel(frame: CGRect(x:15, y: 0, width:self.width , height:self.height ))
        //label.frame.origin.x = 20
        label.textColor = blackTitleColor
        label.font = UIFont.test_boldSystemFont(15)
        label.font = UIFont.test_font(withName: 15)
        
        label.textColor = UIColorFromRGB(rgbValue: 0x3D444F)
        //label.font = UIFont.init(name: "Arial Rounded MT Bold", size: 13)
        addSubview(label)
        return label
    }()
    var block:selectBlock!
    override func awakeFromNib() {
        super.awakeFromNib()
        self.separatorInset=UIEdgeInsetsMake(0, SCREEN_WHIDTH(), 0, 0)
        self.backgroundColor = UIColor.white
        // Initialization code
    }
    
    override func configurateTheCell(_ info: BaseCellModel) {
        let xinfo:MineTitleTableViewCellModel = info as! MineTitleTableViewCellModel
//        self.block = xinfo.block
        self.label.text = xinfo.titleValue
        
    }
    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)
        if selected {
            // self.block()
        }
    }

}
class MineTitleTableViewCellModel: BaseCellModel {
    
    var titleValue:String?
    var nameImage:String?
    var block:selectBlock!
    var isShow = false
    
}
